:
#
# version 3.0 Sep 25 11:21:02 PDT 1998
# version 3.0.3 Fri Jan  8 12:42:25 PST 1999 bpowell

umask 022
# This tool suite was written by and is copyrighted by Brad Powell, Matt 
# Archibald, and Dan Farmer 1992, 1993, 1994, 1995, 1996, 1997, 1998, 1999, 2000
#
# The copyright holder disclaims all responsibility or liability with 
# respect to its usage or its effect upon hardware or computer 
# systems, and maintains copyright as set out in the "LICENSE" 
# document which accompanies distribution. 

# setup
TITANHOME=`pwd`
PATH=/bin:/usr/bin:/sbin:$TITANHOME/lib
MYNAME=`basename $0`
DATE=`/bin/date +%m%d%y%H%M`

#
# suck in some lib functions (t_echo, etc.)
#
. misc_functions.sh

# did things work out or not?
action=`sanity_check $MYNAME $1`
if test $? -ne 0 ; then
        exit 1
        fi

Intro() {

cat << EOF

 
Changes the inet startup configuration to use the "-d" flag
in /etc/rc.d/init.d/inet. 

 From the inetd man page:

	-d 	Instructs inetd to trace the incoming  connections
               	for all of its TCP services.  It does this by log-
               	ging the client's IP address and TCP port  number,
               	along with the name of the service, using the sys-
               	log(3) facility.

EOF

}

Fix() {

 if [ -f /etc/rc.d/init.d/inet ]; then

        if [ -z "`grep -i 'daemon inetd \-d' /etc/rc.d/init.d/inet`" ]; then
	  t_echo 2 " /etc/rc.d/init.d/inet is no debug  - Changing"
        t_echo 2 " Saving /etc/rc.d/init.d/inet to ${TITANHOME}/tmp/inet.ORIG.${DATE}"
        cp /etc/rc.d/init.d/inet ${TITANHOME}/tmp/inet.ORIG.${DATE}

	  t_echo 0     " Changing inetd startup default "
ed /etc/rc.d/init.d/inet <<- EDEND
g/daemon inetd/s/daemon inetd/daemon inetd \-d/g
.
w
q
EDEND
          t_echo 2 " inetd startup in /etc/rc.d/init.d/inet changed ... "
	else
	  t_echo 2 " /etc/rc.d/init.d/inet is already running -d  - Not Changing"
	  exit 1
	fi
 fi

}

Check() {

 if [ -f /etc/rc.d/init.d/inet ]; then
    if [ -z "`grep -i 'daemon inetd \-d' /etc/rc.d/init.d/inet`" ]; then
 	 t_echo 0 "       /etc/rc.d/init.d/inet - has the system default . - FAILS CHECK"
    else
         t_echo 1 "  /etc/rc.d/init.d/inet : -  PASSES CHECK" 
    fi
  else
         t_echo 1 "No inet startup file /etc/rc.d/init.d/inet found - ERROR"
        exit 1
 fi
}

action=$1

   case ${action} in
	-[Ii]*)
	Intro
	;;
	-[Ff]*)
	Fix
	;;
	-[Vv]*)
	Check
	;;
	*)
        t_echo 1 "        ERROR:Invalid arg $action"
        t_echo 1 "        ERROR:Usage $0 -[ivf] (I)ntro/(V)erify/(F)ix"
	exit 1;;
	esac



# List all files to save prior to changes this modules might make.
# Syntax is SAVEFILES='foo bar foobar'
#
SAVEFILES='/etc/rc.d/init.d/inet'
